Package org.apache.sysds.runtime.matrix.operators

# Class AggregateTernaryOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
org.apache.sysds.runtime.matrix.operators.AggregateTernaryOperator

All Implemented Interfaces:
  `Serializable`

public class AggregateTernaryOperator extends MultiThreadedOperator

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final AggregateOperator`
`aggOp`
`final ValueFunction`
`binaryFn`
`final IndexFunction`
`indexFn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`AggregateTernaryOperator(ValueFunction inner, AggregateOperator outer, IndexFunction ixfun)`
`AggregateTernaryOperator(ValueFunction inner, AggregateOperator outer, IndexFunction ixfun, int numThreads)`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### binaryFn

public final ValueFunction binaryFn

### aggOp

public final AggregateOperator aggOp

### indexFn

public final IndexFunction indexFn

## Constructor Details

### AggregateTernaryOperator

public AggregateTernaryOperator(ValueFunction inner, AggregateOperator outer, IndexFunction ixfun)

### AggregateTernaryOperator

public AggregateTernaryOperator(ValueFunction inner, AggregateOperator outer, IndexFunction ixfun, int numThreads)